For transfer from one wallet to another wallet under your account, use the following parameters.
| Name | Type | Required | Description |
|---|---|---|---|
| amount | integer | Yes | Amount in KOBO. |
| source | string | Yes | Source wallet id. This wallet will be debited. |
| destination | string | Yes | Destination wallet id. This wallet will be credited. |
| currency | string | Yes | Must be "NGN". |
| reference | string | Yes | Your own internal reference. You will get back this reference upon receiving webhooks and can use it to run TSQ. |
| narration | string | No | Description of transfer. |
curl -X POST "https://api.piggyvest.business/api/v1/transfer/wallet" \\-H "Authorization: Bearer YOUR_SECRET_KEY" \\-H "Content-Type: application/json" \\-d '{ "amount": 500000, "narration": "Transfer to user 2", "currency": "NGN", "source": "f3ad0937-1d03-4843-b3d3-a09210967e49", "destination": "023f843a-be7e-494a-bc5d-9f49f4cc640f", "reference": "7bc2dfe9-fad4-48d7-af45-87b55baca2e9"}'{ "status": true, "message": "Peer to Peer Wallet transfer processing"}{ "status": false, "message": "Insufficient funds"}{ "status": false, "message": "An error occurred processing wallet transfer"}